QGIS Application - Bug report #17547
WMS properties are not detected
2017-11-25 11:00 AM - James Passmore

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25444
Description

When right-clicking on a WMS layer in the Browser panel and selecting Properties the Layer Properties window opens but shows only
calculated properties for layer. None of the information from the GetCapabilites of the service is shown.

The GetCapabilities response for the service / layer shown in the figure is below:

http://ogc.bgs.ac.uk/cgi-bin/TFL-PSl/ows?service=WMS&#38;request=GetCapabilitiesx%x%

QGIS version

2.99.0-Master

QGIS code revision

cd0ba91

Compiled against Qt

5.5.1

Running against Qt

5.5.1

Compiled against GDAL/OGR
222

Running against GDAL/OGR
222

Compiled against GEOS
3.5.1-CAPI-1.9.1

Running against GEOS
3.5.1-CAPI-1.9.1 r4246
PostgreSQL Client Version
95.2

SpatiaL.ite Version

4.3.0a

QWT Version

6.1.2

PROJ.4 Version

492

QScintilla2 Version

2.9.1

This copy of QGIS writes debugging output.

History
http://ogc.bgs.ac.uk/cgi-bin/TFL-PSI/ows?service=WMS&#38;request=GetCapabilitiesx%x

#1 - 2017-11-25 04:00 PM - Giovanni Manghi
- Priority changed from Normal to High
- Operating System deleted (Linux Mint 18.1 Serena (4.4.0-101-generic))

#2 - 2017-11-28 03:22 PM - Etienne Trimaille

Information from the GetCapabilities should come back as in QGIS 2 with this PR https://github.com/qgis/QGIS/pull/5700

But the Metadata wizard won't be filled automatically from the GetCapabilities anyway for now.

#3 - 2017-11-30 04:39 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#4 - 2018-12-24 10:37 AM - Alexander Bruy

- Status changed from Open to Feedback

Still true?

#5 - 2019-01-10 12:43 PM - James Passmore

Alexander Bruy wrote:

Still true?

It works for me now in version 3.4.4, with everything dumped into the Information from provider section.

It would be nicer if the Identification / (Service) Extent / Access / Contacts information sections were actually populated, rather than being part of the first

section, because at first glance it appears they are missing.

#6 - 2019-01-10 12:45 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

It would be nicer if the Identification / (Service) Extent / Access / Contacts information sections were actually populated, rather than being part of the
first section, because at first glance it appears they are missing.

file a feature request
